List RPA runs
curl --request GET \
--url https://api.getgranite.ai/api/rpa/runsimport requests
url = "https://api.getgranite.ai/api/rpa/runs"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.getgranite.ai/api/rpa/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"runs": [
{
"run_id": "<string>",
"workflow_description": "<string>",
"workflow_hint": "<string>",
"status": "<string>",
"iterations": 123,
"success": true,
"created_at": "<string>",
"completed_at": "<string>"
}
],
"total": 123,
"limit": 123,
"offset": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}RPA Automation
List Runs
Get paginated list of RPA runs for organization
GET
/
api
/
rpa
/
runs
List RPA runs
Query Parameters
Maximum number of runs to return
Required range:
1 <= x <= 100Number of runs to skip
Required range:
x >= 0⌘I